// JavaScript Document
window.onload=testerNavigateur;
//-----------------------------
function testerNavigateur() {   
	objetXHR = creationXHR();
	if(objetXHR==null) {
		document.getElementById("button").disabled= true;
		var erreurNavigateur="Erreur Navigateur : Création d'objet XHR impossible";
		remplacerContenu("info", erreurNavigateur);
	    document.getElementById("info").style.visibility="visible";
	}
}
function jouer() {   
	 /*-----------------------------Config et envoi de la requete ASYNCHRONE : */
	 //verif si nom du joueur est bien saisi
	 document.getElementById("nom").style.backgroundColor="white";
	 var nom=document.getElementById("nom").value;
	 if(nom==""){
		 //-------------change la couleur du champ
	   document.getElementById("nom").style.backgroundColor="red";
	   //-----------affiche message Alert
	   alert("Attention : vous devez saisir votre nom avant de jouer");
	   return null;
	 }
	 //création d'une requete uniquement pour FireFox
	 objetXHR = creationXHR();
	 var temps = new Date().getTime();//création d'une variable temps pour l'anti-cache
	 //construction de la chaine des parametres
	 var parametres = "nom="+ codeContenu("nom") +
	                  "&anticache="+temps ;
	 //Config. objet XHR
     objetXHR.open("get","gainAleatoire.php?"+parametres, true); 
	 objetXHR.onreadystatechange = actualiserPage;//désignation de la fonction de rappel
	 //gestion du bouton et du chargeur
	 document.getElementById("button").disabled= true;
	 document.getElementById("charge").style.visibility="visible";
     objetXHR.send(null);//envoi de la requete
	 /*---------------------------------------- */
  }
  function actualiserPage() {
	if (objetXHR.readyState == 4) {//test si le résultat est disponible
	 if (objetXHR.status == 200) {
	   var nouveauResultatXML = objetXHR.responseXML;//recup du résulat au format XML 
	   var racineResultats = nouveauResultatXML.firstChild;
	   //actualisation du résultat
	   var gainTxt=racineResultats.childNodes[1].firstChild.nodeValue;
	   remplacerContenu("resultat",gainTxt);
	   //actualisation du nom
	   var gagnantTxt=racineResultats.childNodes[0].firstChild.nodeValue;
	   remplacerContenu("gagnant",gagnantTxt);
	   //affiche la zone info
	   document.getElementById("info").style.visibility="visible";
	   //gestion du bouton et du chargeur
	   document.getElementById("button").disabled= false;
	   document.getElementById("charge").style.visibility="hidden";
	 }else{
	   //message d'erreur serveur
	   var erreurServeur="Erreur serveur : "+objetXHR.status+" – "+ objetXHR.statusText;
	   remplacerContenu("info", erreurServeur);
	   document.getElementById("info").style.visibility="visible";
	   //gestion du bouton et du chargeur
	   document.getElementById("button").disabled= false;
	   document.getElementById("charge").style.visibility="hidden";
	   //annule la requete en cours
	   objetXHR.abort();
	   objetXHR=null;
	   }
	 }
  }